<?php

//carga de las clases
include('Animal.class.php');
include('Pez.class.php');

//inicialización de la clase Pez que llama al constructor de la clase Animal
$pez = new Pez("gris",8);
//actualiza el tipo del pez
$pez->setType(true);

//inicialización de la clase Pez que llama al constructor de la clase Animal
$otro_pez = new Pez("negro",5);
//actualiza el tipo del pez
$otro_pez->setType(false);

//llamada del método que muestra los atributos de la clase pez y Animal
$pez->comer_animal($otro_pez);
//leer el tipo par el accesorio de su propia clase
echo "El tipo del pez comido es:".$otro_pez->getType()."<br />";
//leer el peso por el accesorio de la clase madre
echo "El peso del pez comido es:".$otro_pez->getPeso()." kg<br />";


?>
